| OpenCV 3.4.7 Open Source Computer Vision

Classes | Functions
cv::tracking Namespace Reference

## Classes
class | AugmentedUnscentedKalmanFilterParams
| Augmented Unscented Kalman filter parameters. The class for initialization parameters of Augmented Unscented Kalman filter. More...
class | UkfSystemModel
| Model of dynamical system for Unscented Kalman filter. The interface for dynamical system model. It contains functions for computing the next state and the measurement. It must be inherited for using UKF. More...
class | UnscentedKalmanFilter
| The interface for Unscented Kalman filter and Augmented Unscented Kalman filter. More...
class | UnscentedKalmanFilterParams
| Unscented Kalman filter parameters. The class for initialization parameters of Unscented Kalman filter. More...

## Functions
Ptr< UnscentedKalmanFilter > | createAugmentedUnscentedKalmanFilter (const AugmentedUnscentedKalmanFilterParams &params)
| Augmented Unscented Kalman Filter factory method. More...
Ptr< UnscentedKalmanFilter > | createUnscentedKalmanFilter (const UnscentedKalmanFilterParams &params)
| Unscented Kalman Filter factory method. More...

## Function Documentation

## § createAugmentedUnscentedKalmanFilter()

Ptr<UnscentedKalmanFilter> cv::tracking::createAugmentedUnscentedKalmanFilter | ( | const AugmentedUnscentedKalmanFilterParams & | params | ) |

Augmented Unscented Kalman Filter factory method.

The class implements an Augmented Unscented Kalman filter http://becs.aalto.fi/en/research/bayes/ekfukf/documentation.pdf, page 31-33. AUKF is more accurate than UKF but its computational complexity is larger.

Parameters

  params | - an object of the AugmentedUnscentedKalmanFilterParams class containing AUKF parameters.

Returns
  pointer to the object of the AugmentedUnscentedKalmanFilterImpl class implementing UnscentedKalmanFilter.

## § createUnscentedKalmanFilter()

Ptr<UnscentedKalmanFilter> cv::tracking::createUnscentedKalmanFilter | ( | const UnscentedKalmanFilterParams & | params | ) |

Unscented Kalman Filter factory method.

The class implements an Unscented Kalman filter https://en.wikipedia.org/wiki/Kalman_filter#Unscented_Kalman_filter.

Parameters

  params | - an object of the UnscentedKalmanFilterParams class containing UKF parameters.

Returns
  pointer to the object of the UnscentedKalmanFilterImpl class implementing UnscentedKalmanFilter.